Skip to content

Product Sales Trend

Introduction

Get the sales trend data of a specified product within a specified date range:

  • Returns detailed information such as daily units sold and sales volume (GMV).
  • Includes product overview information such as total units sold, total GMV, associated video count, etc.

API

bash
    POST /product/v1/salesTrend

filter Optional Values

FieldTypeRequiredDescription
product_idstringYesProduct ID
daysintegerYesLast N days: 1 <= days <= 28

Request Example

bash
curl 'https://openapi.fastmoss.com/product/v1/salesTrend' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "product_id": "1729421229342823356",
        "days": 7
    }
}'

Response Body

data.list

FieldTypeDescription
dtstringDate
units_soldintegerDaily Sales
gmvfloatDaily Revenue

data.overview

FieldTypeDescription
units_soldintegerTotal Sales
gmvfloatTotal Revenue
live_countintegerRelated Live Streams
creator_countintegerRelated Creators
aweme_countintegerRelated Videos
currencystringCurrency
regionstringCountry/Region

Response Example

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "dt": "2026-03-08",
        "units_sold": 20,
        "gmv": 500.0
      }
    ],
    "overview": {
      "units_sold": 525,
      "gmv": 13125,
      "live_count": 168,
      "creator_count": 129,
      "aweme_count": 87,
      "currency": "USD",
      "region": "US"
    }
  },
  "message": "",
  "timestamp": 1743573478,
  "request_id": "2014e9b1-c0f5-3457-217e-50b4b574c761"
}